(* perl-engine-sig.sml
 *
 * Implements a perl-like regular expressions matcher. 
 * This module is based on backtracking search.
 *)

signature PERL_REGEXP_ENGINE = 
sig
   include REGEXP_ENGINE 
   val multiline : regexp -> regexp  (* do multiple line matching *)
   val singleline : regexp -> regexp (* do single line matching *)
   val optimize : regexp -> regexp   (* optimize for matching speed *)
end 
