(* parser-sig.sml
 *
 * COPYRIGHT (c) 1995 AT&T Bell Laboratories.
 *)
(*GC44 CHANGES
  GENERALIZED_REGEXP_PARSER to REGEXP_PARSER
*)
signature REGEXP_PARSER =
  sig

    structure R : REGEXP_SYNTAX

    val scan : (char, 'a) StringCvt.reader
	          -> (R.syntax, 'a) StringCvt.reader
	(* read an external representation of a regular expression
	 * from the stream and return an abstract syntax representation
	 *)

  end
